package com.demo.wrapper.model;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonPOJOBuilder;
import jakarta.validation.constraints.NotNull;

import java.util.List;
import java.util.Objects;

@JsonDeserialize(
        builder = Test.Builder.class
)
public class Test {
    private  String id;

    private Test(@NotNull String id) {
        this.id = Objects.requireNonNull(id);
    }

    public String getId() {
        return id;
    }

    @JsonPOJOBuilder(withPrefix = "")
    public static class Builder {
        private String id;

        public static Builder newInstance() {
            return new Builder();
        }

        public Builder id(String id) {
            this.id = id;
            return this;
        }

        public Test build() {
            return new Test(id);
        }

    }
}
